Subject: [PATCH] New files in git weren't being downloaded during CVS update

From: Andy Parkins <[email-masked]>
Date: Fri, 19 Jan 2007 10:49:40 +0000

If a repository was checked out via git-cvsserver and then later a new
file is added to the git repository via some other method; a CVS update
wasn't fetching the new file.

It would be reported as a new file as
 A some/dir/newfile.c
but would never appear in the directory.

The problem (I think) is that when git-cvsserver detected a new file, it
was issuing the new file message then skipping the actual file send part
and moving to the next file its list.  In fact only an updated file
would be transmitted.

The fix is to simply remove the "next" that was skipping the file
transmit; which is what this patch does.

Signed-off-by: Andy Parkins <[email-masked]>
---
I don't understand enough about the CVS protocol to know whether this really
is the right fix.  It certainly addresses my problem, but I assume that the "next"
was put in there for a reason.

 git-cvsserver.perl |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

diff --git a/git-cvsserver.perl b/git-cvsserver.perl
index a33a876..c370a53 100755
--- a/git-cvsserver.perl
+++ b/git-cvsserver.perl
@@ -882,7 +882,6 @@ sub req_update
 		print "MT text A \n";
                 print "MT fname $filename\n";
                 print "MT newline\n";
-		next;
 
 	    }
 	    else {
-- 
1.5.0.rc1.gf4b6c